grub-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH v4 8/8] util/grub.d: Activate bli module on EFI


From: Oliver Steffen
Subject: [PATCH v4 8/8] util/grub.d: Activate bli module on EFI
Date: Tue, 14 Mar 2023 13:04:58 +0100

Add a new configuration drop-in file that loads the bli module and runs
the command if booting on the EFI platform.

Signed-off-by: Oliver Steffen <osteffen@redhat.com>
---
 Makefile.util.def     |  6 ++++++
 util/grub.d/25_bli.in | 25 +++++++++++++++++++++++++
 2 files changed, 31 insertions(+)
 create mode 100644 util/grub.d/25_bli.in

diff --git a/Makefile.util.def b/Makefile.util.def
index beaef1168..d90e59b94 100644
--- a/Makefile.util.def
+++ b/Makefile.util.def
@@ -510,6 +510,12 @@ script = {
   condition = COND_HOST_LINUX;
 };
 
+script = {
+  name = '25_bli';
+  common = util/grub.d/25_bli.in;
+  installdir = grubconf;
+};
+
 script = {
   name = '30_os-prober';
   common = util/grub.d/30_os-prober.in;
diff --git a/util/grub.d/25_bli.in b/util/grub.d/25_bli.in
new file mode 100644
index 000000000..ba0f466f0
--- /dev/null
+++ b/util/grub.d/25_bli.in
@@ -0,0 +1,25 @@
+#!/usr/bin/sh
+set -e
+
+# grub-mkconfig helper script.
+# Copyright (C) 2023  Free Software Foundation, Inc.
+#
+# GRUB is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# GRUB is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GRUB.  If not, see <http://www.gnu.org/licenses/>.
+
+cat << EOF
+if [ "\$grub_platform" = "efi" ]; then
+  insmod bli
+  bli
+fi
+EOF
-- 
2.39.2




reply via email to

[Prev in Thread] Current Thread [Next in Thread]